Bug 1284905 - Enable glance-api show_image_direct_url for COW
Enable glance-api show_image_direct_url for COW
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
high Severity high
: ga
: 8.0 (Liberty)
Assigned To: Jiri Stransky
Shai Revivo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-24 07:48 EST by Martin Schuppert
Modified: 2016-09-12 19:49 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-12 19:49:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 1982843 None None None 2015-12-16 05:03 EST
OpenStack gerrit 226324 None None None Never

  None (edit)
Description Martin Schuppert 2015-11-24 07:48:28 EST
Description of problem:
with the current templates glance-api.conf show_image_direct_url setting is not set to true when deploy with ceph storage. As a result COW is not possible and the full image is being downloaded and uploaded again instead of cloning on the ceph side.

A change to fix this has been introduced with upstream commit:

https://review.openstack.org/#/c/226324/

Version-Release number of selected component (if applicable):
openstack-tripleo-heat-templates-0.8.6-71.el7ost.noarch

How reproducible:
always

Steps to Reproduce:
1. create instance from image
2. check if volume is being cloned in the ceph backend:

2015-11-20 08:12:28.961 11711 DEBUG cinder.volume.flows.manager.create_volume [req-a6323cad-fe1e-4b75-bf69-3ad40e20db8c 825c7c5e370c42c4a315c41fa36c65e4 9ba4055a7ccf437e88ad38e8b1b4b9cd - - -] Cloning 40400657-7183-449c-a86c-f9968da91ba6 from image fd04787a-ae66-449b-8e10-cb8277dc1bf1  at location (u'rbd://c00c87f4-7467-4e72-90d7-84b39a20d6d1/images/fd04787a-ae66-449b-8e10-cb8277dc1bf1/snap', None). _create_from_image /usr/lib/python2.7/site-packages/cinder/volume/flows/manager/create_volume.py:562

OR if cinder tries to download/convert/upload the image:

2015-11-19 12:09:15.750 28212 DEBUG cinder.volume.flows.manager.create_volume [req-9e7f809c-5e73-48db-8560-1bfdd6cc221f e2ca80d382324cc4a8b9367dcd5e9a54 30e08c11abd54e67a361a13bf0db3541 - - -] Attempting download of f5637681-e81b-48bf-8e43-2b57aedbf17c ((None, None)) to volume bf8c268c-445f-46fe-857d-3e8b88471696. _copy_image_to_volume /usr/lib/python2.7/site-packages/cinder/volume/flows/manager/create_volume.py:499

Actual results:
image gets downloaded/converted and uploaded

Expected results:
cloning in ceph backend

Additional info:
Comment 2 Jaromir Coufal 2015-12-15 10:51:53 EST
Fix proposed and merged upstream, can we make it part of OSP8?
Comment 3 Mike Burns 2016-04-07 16:57:01 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 5 James Slagle 2016-09-12 19:49:13 EDT
this was fixed in osp-d 8

Note You need to log in before you can comment on or make changes to this bug.